# Set agents tag view (by id)

`PUT /agents/{id}/tag-view` · Rivier · agents

- Scope: agents:write
- Mcp: rivier_personas_agent_tag_view_set
- Graphql: Mutation.agentsTagViewSet
- Sdk: agents.tagView.set
- Cli: agents tag view set

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {},
  "additionalProperties": true
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PUT 'https://api.rivier.ai/agents/{id}/tag-view' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{}'
```
